var (width, height) = (702,512);
var my_canvas = canvas.new({
  "name": "Report",   # The name is optional but allow for easier identification
  "size": [1024, 1024], # Size of the underlying texture (should be a power of 2, required) [Resolution]
  "view": [702, 512],  # Virtual resolution (Defines the coordinate system of the canvas [Dimensions]
                        # which will be stretched the size of the texture, required)
  "mipmapping": 1       # Enable mipmapping (optional)
});
my_canvas.addPlacement({"node": "ReportBlock"});
my_canvas.set("background", "#f0f0f0");

var root = my_canvas.createGroup();
#var graph = root.createChild("group");

var filename = "/Aircraft/SL20/Models/Canvas/Gaszellen.svg";
var svg_symbol = root.createChild('group');
canvas.parsesvg(svg_symbol, filename);
svg_symbol.setTranslation(0, 100);
var GS01 = svg_symbol.getElementById("GS01");
GS01.setColorFill(1,0,0);
GS01.setTranslation(0, 120);
GS01.setScale(1, 0.5);

#var x_axis = graph.createChild("path", "x-axis")
#.moveTo(10, height/2)
#.lineTo(width-10, height/2)
#.setColor(1,0,0)
#.setStrokeLineWidth(3);

#var y_axis = graph.createChild("path", "y-axis")
#.moveTo(10, 10)
#.lineTo(10, height-10)
#.setColor(0,0,1)
#.setStrokeLineWidth(2);

#var track = graph.createChild("path", "track")
#.moveTo(10, 10)
#.lineTo(200, 10)
#.lineTo(200, 200)
#.lineTo( 10, 200)
#.lineTo( 10, 10)
#.setColor(0,1,0)
#.setStrokeLineWidth(4);
